Package org.apache.sling.i18n

# Class DefaultJakartaLocaleResolver

java.lang.Object
org.apache.sling.i18n.DefaultJakartaLocaleResolver

All Implemented Interfaces:
  `JakartaRequestLocaleResolver`

public class DefaultJakartaLocaleResolver extends Object implements JakartaRequestLocaleResolver
The `DefaultLocaleResolver` resolves the request's Locale by calling the `ServletRequest.getLocales()` method, which generally will be the Servlet Container's implementation of this method and thus be based on the client's `Accept-Language` header.

## Constructor Summary

Constructors
Constructor
Description
`DefaultJakartaLocaleResolver()`

## Method Summary

Modifier and Type
Method
Description
`List<Locale>`
`resolveLocale(jakarta.servlet.http.HttpServletRequest request)`
Return a non-`null` but possibly empty list of `Locale` instances to consider for localization of the current request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultJakartaLocaleResolver

public DefaultJakartaLocaleResolver()

## Method Details

### resolveLocale

public List<Locale> resolveLocale(jakarta.servlet.http.HttpServletRequest request)
Description copied from interface: `JakartaRequestLocaleResolver`
Return a non-`null` but possibly empty list of `Locale` instances to consider for localization of the current request. The list returned is assumed to be ordered by preference where the first entry is the preferred `Locale` and the last entry is the least preferred `Locale`.

Returning an empty list is equivalent to returning a singleton list whose single entry is the `ResourceBundleProvider.getDefaultLocale()`.

Specified by:
  `resolveLocale` in interface `JakartaRequestLocaleResolver`
Parameters:
  `request` - The `HttpServletRequest` providing hints and information for the `Locale` resolution.
Returns:
  The list of `Locale`s to use for internationalization of request processing
See Also:
  - `JakartaRequestLocaleResolver.resolveLocale(jakarta.servlet.http.HttpServletRequest)`